# SoProfileCoordinate3 Class Reference
[Nodes]

`#include <Inventor/nodes/SoProfileCoordinate3.h>`

Inheritance diagram for SoProfileCoordinate3:

List of all members.

## Detailed Description

The SoProfileCoordinate3 class is a node specifying a set of 3D coordinates for profiles.

Use nodes of this type to provide coordinates to profiles.

The third element of the coordinate vectors is used for normalization. A node of this type where all the normalization values are equal to 1.0 is the equivalent of setting up an SoProfileCoordinate2 node.

Note that an SoProfileCoordinate3 node will replace the profile coordinates already present in the state (if any).

See also:
  SoProfile, SoProfileCoordinate2

## Public Member Functions

| SoProfileCoordinate3 (void)
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | pick (SoPickAction *action)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoMFVec3f | point

## Protected Member Functions

virtual | ~SoProfileCoordinate3 ()

## Constructor & Destructor Documentation

SoProfileCoordinate3::SoProfileCoordinate3 | ( | void |  | ) |

| Constructor.

SoProfileCoordinate3::~SoProfileCoordinate3 | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoProfileCoordinate3::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

void SoProfileCoordinate3::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoProfileCoordinate3::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoProfileCoordinate3::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

void SoProfileCoordinate3::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode.

void SoProfileCoordinate3::getPrimitiveCount | ( | SoGetPrimitiveCountAction * | action | ) | `[virtual]`

| Action method for the SoGetPrimitiveCountAction. Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action. Nodes influencing how geometry nodes calculates their primitive count also overrides this method to change the relevant state variables. Reimplemented from SoNode.

## Member Data Documentation

SoMFVec3f SoProfileCoordinate3::point

| Pool of coordinate points for the traversal state.

The documentation for this class was generated from the following files:

- SoProfileCoordinate3.h
- SoProfileCoordinate3.cpp